"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const AugmentedThemeDocset_1 = require("./AugmentedThemeDocset");
(0, vitest_1.describe)('Module: AugmentedThemeDocset', async () => {
    let themeDocset;
    (0, vitest_1.beforeEach)(async () => {
        themeDocset = new AugmentedThemeDocset_1.AugmentedThemeDocset({
            filters: async () => [],
            objects: async () => [],
            tags: async () => [],
        });
    });
    (0, vitest_1.describe)('filters', async () => {
        (0, vitest_1.it)('should return filters with undocumented filters', async () => {
            const filters = await themeDocset.filters();
            (0, vitest_1.expect)(filters).to.have.length.greaterThanOrEqual(30);
        });
        (0, vitest_1.it)('should return valid filter entries', async () => {
            const filters = await themeDocset.filters();
            (0, vitest_1.expect)(filters).to.deep.include({ name: 'h' });
        });
    });
    (0, vitest_1.describe)('objects', async () => {
        (0, vitest_1.it)('should return objects with undocumented objects', async () => {
            const objects = await themeDocset.objects();
            (0, vitest_1.expect)(objects).to.have.length.greaterThanOrEqual(2);
        });
        (0, vitest_1.it)('should return valid object entries', async () => {
            const objects = await themeDocset.objects();
            (0, vitest_1.expect)(objects).to.deep.include({ name: 'customer_address' });
        });
    });
    (0, vitest_1.describe)('tags', async () => {
        (0, vitest_1.it)('should return tags with undocumented tags', async () => {
            const tags = await themeDocset.tags();
            (0, vitest_1.expect)(tags).have.length.greaterThanOrEqual(4);
        });
        (0, vitest_1.it)('should return valid tag entries', async () => {
            const tags = await themeDocset.tags();
            (0, vitest_1.expect)(tags).to.deep.include({ name: 'elsif' });
        });
    });
});
//# sourceMappingURL=AugmentedThemeDocset.spec.js.map