"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const completions_1 = require("../completions");
const documents_1 = require("../documents");
(0, vitest_1.describe)('Module: CompletionItemsAssertion', () => {
    let provider;
    let documentManager;
    (0, vitest_1.beforeEach)(async () => {
        documentManager = new documents_1.DocumentManager();
        provider = new completions_1.CompletionsProvider(documentManager, {
            filters: async () => [],
            objects: async () => [],
            tags: async () => [{ name: 'render' }],
        });
    });
    (0, vitest_1.it)('should assert a list of labels', () => {
        (0, vitest_1.expect)(provider).to.complete('{% rend', ['render']);
    });
    (0, vitest_1.it)('should assert a list of completion items', () => {
        (0, vitest_1.expect)(provider).to.complete('{% rend', [
            {
                label: 'render',
                sortText: 'render',
                documentation: {
                    kind: 'markdown',
                    value: '### render',
                },
                kind: 14,
            },
        ]);
    });
    (0, vitest_1.it)('should assert an empty list', () => {
        (0, vitest_1.expect)(provider).to.complete('{% something', []);
    });
});
//# sourceMappingURL=CompletionItemsAssertion.spec.js.map