"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_check_common_1 = require("@shopify/theme-check-common");
const vitest_1 = require("vitest");
const visitor_1 = require("./visitor");
(0, vitest_1.describe)('Module: visitor', () => {
    (0, vitest_1.it)('should return an array of the return type of the visitor', () => {
        const visitor = {
            LiquidTag: (node) => {
                if (node.name !== 'render' && node.name !== 'include') {
                    return;
                }
                if (typeof node.markup === 'string' ||
                    node.markup.snippet.type === theme_check_common_1.LiquidHtmlNodeTypes.VariableLookup) {
                    return;
                }
                return node.markup.snippet.value;
            },
        };
        const ast = toAST(`
      {% render 'a' %}
      {% render block %}
      {% include 'b' %}
    `);
        (0, vitest_1.expect)((0, visitor_1.visit)(ast, visitor)).to.eql(['a', 'b']);
    });
    function toAST(code) {
        return (0, theme_check_common_1.toSourceCode)('/tmp/foo.liquid', code).ast;
    }
});
//# sourceMappingURL=visitor.spec.js.map